package uk.ac.ox.cs.goalDriven.processors;

import java.util.List;

import uk.ac.ox.cs.goalDriven.model.Predicate;
import uk.ac.ox.cs.goalDriven.model.Rule;

public class NullInputProcessor implements InputProcessor {
    public static final InputProcessor INSTANCE = new NullInputProcessor();

    protected NullInputProcessor() {
    }

    public void startProcessing() {
    }

    public void processRule(Rule rule) {
    }

    public void processFact(Predicate predicate, List<String> argumentLexicalForms) {
    }

    public void endProcessing() {
    }

}
