package uk.ac.ox.cs.goalDriven.QA.generator;

import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.util.Scanner;

import java.util.Random;

public class InstanceGenerator {

    private static Random random = new Random();

    public static void main(String[] args) {
        InstanceGenerator.scaleInstance("/home/SERILOCAL/efi.tsamoura/Java/generated27/data/10",
                "/home/SERILOCAL/efi.tsamoura/Java/generated27/data/50000", 50000);
    }

    public static void randomlyScaleInstance(String oldPathName, String newPathName, int max) {
        new File(newPathName).mkdirs();
        File oldFolder = new File(oldPathName);
        File[] listOfFiles = oldFolder.listFiles();
        if (listOfFiles != null) {
            for (int i = 0; i < listOfFiles.length; i++) {
                if (listOfFiles[i].isFile()) {

                    try {
                        FileWriter writer = new FileWriter(newPathName + "/" + listOfFiles[i].getName());

                        Scanner reader = new Scanner(listOfFiles[i]);
                        int arity = 0;
                        while (reader.hasNextLine()) {
                            String row = reader.nextLine();
                            writer.write(row + "\n");
                            arity = row.split(",").length;
                        }
                        reader.close();

                        for (int k = 0; k < max; ++k) {
                            for (int j = 0; j < arity; ++j) {
                                writer.write(randomConstant());
                                if (j < arity - 1)
                                    writer.write(",");
                            }
                            writer.write("\n");
                        }
                        writer.close();

                    } catch (IOException e) {
                        e.printStackTrace();
                    }

                }
            }
        }

    }

    public static void scaleInstance(String oldPathName, String newPathName, int max) {
        new File(newPathName).mkdirs();
        File oldFolder = new File(oldPathName);
        File[] listOfFiles = oldFolder.listFiles();
        if (listOfFiles != null) {
            for (int i = 0; i < listOfFiles.length; i++) {
                if (listOfFiles[i].isFile()) {

                    try {
                        Scanner reader = new Scanner(listOfFiles[i]);
                        String[] columns = null;
                        while (reader.hasNextLine()) {
                            String row = reader.nextLine();
                            columns = row.split(",");
                            for (int j = 0; j < columns.length; ++j)
                                columns[j] = columns[j].substring(0, columns[j].indexOf("_") + 1);
                            break;
                        }
                        reader.close();

                        FileWriter writer = new FileWriter(newPathName + "/" + listOfFiles[i].getName());
                        for (int k = 0; k < max; ++k) {
                            for (int j = 0; j < columns.length; ++j) {
                                writer.write(columns[j] + k);
                                if (j < columns.length - 1)
                                    writer.write(",");
                            }
                            writer.write("\n");
                        }
                        writer.close();

                    } catch (IOException e) {
                        e.printStackTrace();
                    }

                }
            }
        }

    }

    private static String randomConstant() {
        int n1 = random.nextInt(10);
        int n2 = random.nextInt(10);
        // int n3 = random.nextInt(10);
        // int n4 = random.nextInt(10);
        // int n5 = random.nextInt(10);
        // int n6 = random.nextInt(10);
        // int n7 = random.nextInt(10);
        // int n8 = random.nextInt(10);
        // int n9 = random.nextInt(10);
        return "c" + n1 + n2; // n3;// + n4 + n5 + n6 + n7 + n8 + n9;
    }

}
